### Constructor

# Gsk.GLShader.new_from_resource

#### Declaration [src]

    GskGLShader*
    gsk_gl_shader_new_from_resource (
      const char* resource_path
    )

#### Description [src]

Creates a `GskGLShader` that will render pixels using the specified code.

#### Parameters

`resource_path` | `const char*`
| path to a resource that contains the GLSL sourcecode for the shader
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GskGLShader`
A new `GskGLShader`
Ownership of the data is transferred to the caller